Index: /trunk/themes/smartpocket/admin/admin.tpl
===================================================================
--- /trunk/themes/smartpocket/admin/admin.tpl	(revision 26756)
+++ /trunk/themes/smartpocket/admin/admin.tpl	(revision 26757)
@@ -28,5 +28,5 @@
 
       <li><label>
-        <span class="property">{'Loop the slideshow'|translate}</span>&nbsp;
+        <span class="property">{'Loop the slideshow'|@translate}</span>&nbsp;
         <span class="graphicalCheckbox icon-check{if not $options.loop}-empty{/if}">&nbsp;</span>
         <input type="checkbox" name="loop"{if $options.loop} checked="checked"{/if}>
@@ -34,5 +34,5 @@
 
       <li><label>
-        <span class="property">{'Autohide the bar of the slideshow'|translate}</span>&nbsp;
+        <span class="property">{'Autohide the bar of the slideshow'|@translate}</span>&nbsp;
         <span class="graphicalCheckbox icon-check{if $options.autohide != 5000}-empty{/if}">&nbsp;</span>
         <input type="checkbox" name="autohide"{if $options.autohide == 5000} checked="checked"{/if}>
Index: /trunk/themes/smartpocket/language/en_UK/index.php
===================================================================
--- /trunk/themes/smartpocket/language/en_UK/index.php	(revision 26757)
+++ /trunk/themes/smartpocket/language/en_UK/index.php	(revision 26757)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/themes/smartpocket/language/en_UK/theme.lang.php
===================================================================
--- /trunk/themes/smartpocket/language/en_UK/theme.lang.php	(revision 26757)
+++ /trunk/themes/smartpocket/language/en_UK/theme.lang.php	(revision 26757)
@@ -0,0 +1,7 @@
+<?php
+$lang['Smartpocket, Configuration Page'] = 'Smartpocket, Configuration Page';
+$lang['Slideshow Options'] = 'Slideshow Options';
+$lang['Loop the slideshow'] = 'Loop the slideshow';
+$lang['Autohide the bar of the slideshow'] = 'Autohide the bar of the slideshow';
+$lang['More Information'] = 'More Information';
+?>
Index: /trunk/themes/smartpocket/language/fr_FR/index.php
===================================================================
--- /trunk/themes/smartpocket/language/fr_FR/index.php	(revision 26757)
+++ /trunk/themes/smartpocket/language/fr_FR/index.php	(revision 26757)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /trunk/themes/smartpocket/language/fr_FR/theme.lang.php
===================================================================
--- /trunk/themes/smartpocket/language/fr_FR/theme.lang.php	(revision 26757)
+++ /trunk/themes/smartpocket/language/fr_FR/theme.lang.php	(revision 26757)
@@ -0,0 +1,7 @@
+<?php
+$lang['Smartpocket, Configuration Page'] = 'Smartpocket, Page de configuration';
+$lang['Slideshow Options'] = 'Options du diaporama';
+$lang['Loop the slideshow'] = 'Boucler le diaporama';
+$lang['Autohide the bar of the slideshow'] = 'Cacher automatiquement la barre du diaporama';
+$lang['More Information'] = 'Plus d\'informations';
+?>
Index: /trunk/themes/smartpocket/template/comments.tpl
===================================================================
--- /trunk/themes/smartpocket/template/comments.tpl	(revision 26756)
+++ /trunk/themes/smartpocket/template/comments.tpl	(revision 26757)
@@ -1,73 +1,4 @@
 {include file='infos_errors.tpl'}
 <div data-role="content">
-{**{if isset($MENUBAR)}{$MENUBAR}{/if}
-<div id="content" class="content{if isset($MENUBAR)} contentWithMenu{/if}">
-
-<div class="titrePage">
-	<ul class="categoryActions">
-	</ul>
-	<h2><a href="{$U_HOME}">{'Home'|@translate}</a>{$LEVEL_SEPARATOR}{'User comments'|@translate}</h2>
-</div>
-
-{include file='infos_errors.tpl'}
-
-<form class="filter" action="{$F_ACTION}" method="get">
-
-  <fieldset>
-    <legend>{'Filter'|@translate}</legend>
-
-    <label>{'Keyword'|@translate}<input type="text" name="keyword" value="{$F_KEYWORD}"></label>
-
-    <label>{'Author'|@translate}<input type="text" name="author" value="{$F_AUTHOR}"></label>
-
-    <label>
-      {'Album'|@translate}
-      <select name="cat">
-        <option value="0">------------</option>
-        {html_options options=$categories selected=$categories_selected}
-      </select>
-    </label>
-
-    <label>
-      {'Since'|@translate}
-      <select name="since">
-        {html_options options=$since_options selected=$since_options_selected}
-      </select>
-    </label>
-
-  </fieldset>
-
-  <fieldset>
-
-    <legend>{'Display'|@translate}</legend>
-
-    <label>
-      {'Sort by'|@translate}
-      <select name="sort_by">
-        {html_options options=$sort_by_options selected=$sort_by_options_selected}
-      </select>
-    </label>
-
-    <label>
-      {'Sort order'|@translate}
-      <select name="sort_order">
-        {html_options options=$sort_order_options selected=$sort_order_options_selected}
-      </select>
-    </label>
-
-    <label>
-      {'Number of items'|@translate}
-      <select name="items_number">
-        {html_options options=$item_number_options selected=$item_number_options_selected}
-      </select>
-    </label>
-
-  </fieldset>
-
-  <p><input type="submit" value="{'Filter and display'|@translate}"></p>
-
-</form>
-
-{if !empty($navbar) }{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}**}
 
 {if isset($comments)}