Index: /extensions/UserCollections/language/et_EE/description.txt
===================================================================
--- /extensions/UserCollections/language/et_EE/description.txt	(revision 26813)
+++ /extensions/UserCollections/language/et_EE/description.txt	(revision 26814)
@@ -1,1 +1,1 @@
-Võimaldab registreeritud kasutajatel valida fotosid galleriist ja salvestada need kollektsioonidesse (valikutesse), see on "lemmikute" (favorites) arendus.
+Võimaldab registreeritud kasutajatel valida fotosid galleriist ja salvestada need kollektsioonidesse (valikutesse), see on "lemmikute" (favorites) edasiarendus.
Index: /extensions/UserCollections/language/et_EE/plugin.lang.php
===================================================================
--- /extensions/UserCollections/language/et_EE/plugin.lang.php	(revision 26813)
+++ /extensions/UserCollections/language/et_EE/plugin.lang.php	(revision 26814)
@@ -22,30 +22,30 @@
 // +-----------------------------------------------------------------------+
 $lang['Save'] = 'Salvesta';
-$lang['Send this collection by mail'] = 'Saada antud fotoseeria minu meilile';
-$lang['This collection is empty'] = 'Fotoseeriast puuduvad pildid';
-$lang['You have %d collection'] = 'Sul on %d fotoseeria';
-$lang['You have %d collections'] = 'Sul on %d fotoseeriat';
-$lang['You have no collection'] = 'Sul puuduvad fotoseeriad';
-$lang['Your e-mail'] = 'Sinu epost';
+$lang['Send this collection by mail'] = 'Saada antud fotovalik e-postiga';
+$lang['This collection is empty'] = 'Fotovalikus puuduvad pildid';
+$lang['You have %d collection'] = 'Sul on %d fotovalik';
+$lang['You have %d collections'] = 'Sul on %d fotovalikut';
+$lang['You have no collection'] = 'Sul puuduvad fotovalikud';
+$lang['Your e-mail'] = 'Sinu e-kirja aadress';
 $lang['Your name'] = 'Sinu nimi';
 $lang['by %s'] = 'koostas %s';
-$lang['Edit this collection'] = 'Toimeta fotoseeriat';
-$lang['Error while sending e-mail'] = 'Eposti saatmisel tekkis viga';
+$lang['Edit this collection'] = 'Toimeta fotovalikut';
+$lang['Error while sending e-mail'] = 'E-kirja saatmisel tekkis viga';
 $lang['Export image list'] = 'Ekspordi fotode nimekiri';
 $lang['Fields'] = 'Väljad';
-$lang['Hello <b>%s</b>, %s sent you a photos collection from <a href="%s">%s</a>'] = 'Tere, %s! %s saatis sulle fotoseeria leheküljelt <a href="%s">%s</a>.';
+$lang['Hello <b>%s</b>, %s sent you a photos collection from <a href="%s">%s</a>'] = 'Tere, %s! %s saatis sulle valiku fotosid leheküljelt <a href="%s">%s</a>.';
 $lang['Inactive'] = 'Ei ole nähtaval';
-$lang['Invalid collection'] = 'Vigane fotoseeria';
+$lang['Invalid collection'] = 'Vigane fotovalik';
 $lang['Message (optional)'] = 'Sõnum (valikuline)';
-$lang['Number of images'] = 'Fotode arv';
-$lang['Please enter the recipient e-mail'] = 'Saaja eposti aadress';
+$lang['Number of images'] = 'Fotode arv kirjas';
+$lang['Please enter the recipient e-mail'] = 'Saaja e-kirja aadress';
 $lang['Please enter the recipient name'] = 'Saaja nimi';
-$lang['Please enter your e-mail'] = 'Sinu eposti aadress';
+$lang['Please enter your e-mail'] = 'Sinu e-kirja aadress';
 $lang['Please enter your name'] = 'Sinu nimi';
-$lang['Please give a name'] = 'Seeria nimi';
+$lang['Please give a name'] = 'Fotovaliku nimi';
 $lang['Preview'] = 'Eelvaade';
-$lang['Recipient e-mail'] = 'Saaja epost';
+$lang['Recipient e-mail'] = 'Saaja e-kirja aadress';
 $lang['Recipient name'] = 'Saaja nimi';
-$lang['Remove from collection'] = 'Eemalda seeriast';
+$lang['Remove from collection'] = 'Eemalda valikust';
 $lang['%d more...'] = 'veel %d...';
 $lang['A photo collection by %s'] = '%s fotovalik';
@@ -65,5 +65,5 @@
 $lang['Delete this collection'] = 'Eemalda fotovalik';
 $lang['Download CSV file'] = 'Laadi alla CSV-loendina';
-$lang['E-mail sent successfully'] = 'Epost saadetud';
+$lang['E-mail sent successfully'] = 'E-kiri saadetud';
 $lang['(remove)'] = '(eemalda)';
 $lang['Name, A &rarr; Z'] = 'Nimi,A &rarr;Z';
@@ -76,7 +76,7 @@
 $lang['Restricted access'] = 'Keelatud juurdepääs';
 $lang['Share'] = 'Jagatud';
-$lang['Share deleted'] = 'Jagamine kustutatud';
+$lang['Share deleted'] = 'Jagamine tühistatud';
 $lang['Share key'] = 'Jagamise võti';
-$lang['Share this collection'] = 'Jaga antud kogumit';
+$lang['Share this collection'] = 'Jaga antud valikut';
 $lang['The key must be at least 8 characters long'] = 'Võti peab olema vähemalt 8 märgi pikkune';
 $lang['This key is already used'] = 'See võti on juba kasutuses';