Index: /extensions/Comments_on_Albums/trunk/admin.php
===================================================================
--- /extensions/Comments_on_Albums/trunk/admin.php	(revision 26847)
+++ /extensions/Comments_on_Albums/trunk/admin.php	(revision 26848)
@@ -182,9 +182,9 @@
       'ID' => $row['id'],
       'U_PICTURE' => get_root_url().'admin.php?page=album-'.$row['category_id'],
-      'CATEGORY_NAME' => trigger_change('render_category_name', $row['name']),
+      'CATEGORY_NAME' => trigger_event('render_category_name', $row['name']),
       'TN_SRC' => $thumb,
-      'AUTHOR' => trigger_change('render_comment_author', $author_name),
+      'AUTHOR' => trigger_event('render_comment_author', $author_name),
       'DATE' => format_date($row['date'], true),
-      'CONTENT' => trigger_change('render_comment_content', $row['content'], 'album'),
+      'CONTENT' => trigger_event('render_comment_content', $row['content'], 'album'),
       'IS_PENDING' => ('false' == $row['validated']),
       )
Index: /extensions/Comments_on_Albums/trunk/include/coa_albums.php
===================================================================
--- /extensions/Comments_on_Albums/trunk/include/coa_albums.php	(revision 26847)
+++ /extensions/Comments_on_Albums/trunk/include/coa_albums.php	(revision 26848)
@@ -156,5 +156,5 @@
 
   // allow plugins to notify what's going on
-  trigger_notify('user_comment_insertion',
+  trigger_action('user_comment_insertion',
       array_merge($comm, array('action'=>$comment_action) ),
       'album'
@@ -284,6 +284,6 @@
         'ID' => $row['id'],
         'AUTHOR' => trigger_change('render_comment_author', $row['author']),
-        'DATE' => format_date($row['date'], true),
-        'CONTENT' => trigger_change('render_comment_content', $row['content'], 'album'),
+        'DATE' => trigger_event($row['date'], true),
+        'CONTENT' => trigger_event('render_comment_content', $row['content'], 'album'),
         'WEBSITE_URL' => $row['website_url'],
         );
@@ -387,5 +387,5 @@
   $template->set_filename('comments_on_albums', realpath(COA_PATH . 'template/albums.tpl'));
 
-  trigger_notify('loc_end_coa');
+  trigger_action('loc_end_coa');
 
   if (isset($pwg_loaded_plugins['rv_tscroller']) and count($page['navigation_bar']) != 0)
Index: /extensions/Comments_on_Albums/trunk/include/coa_comments_page.php
===================================================================
--- /extensions/Comments_on_Albums/trunk/include/coa_comments_page.php	(revision 26847)
+++ /extensions/Comments_on_Albums/trunk/include/coa_comments_page.php	(revision 26848)
@@ -295,9 +295,9 @@
       'U_PICTURE' => $comment['cat_url'],
       'src_image' => $comment['src_image'],
-      'ALT' => trigger_change('render_category_name', $categories[$comment['comment_id']]['name']),
-      'AUTHOR' => trigger_change('render_comment_author', $comment['author']),
+      'ALT' => trigger_event('render_category_name', $categories[$comment['comment_id']]['name']),
+      'AUTHOR' => trigger_event('render_comment_author', $comment['author']),
       'WEBSITE_URL' => $comment['website_url'],
       'DATE' => format_date($comment['date'], true),
-      'CONTENT' => trigger_change('render_comment_content', $comment['content'], 'album'),
+      'CONTENT' => trigger_event('render_comment_content', $comment['content'], 'album'),
       );
 
Index: /extensions/Comments_on_Albums/trunk/include/events.inc.php
===================================================================
--- /extensions/Comments_on_Albums/trunk/include/events.inc.php	(revision 26847)
+++ /extensions/Comments_on_Albums/trunk/include/events.inc.php	(revision 26848)
@@ -10,5 +10,5 @@
     )
   {
-    trigger_notify('loc_begin_coa');
+    trigger_action('loc_begin_coa');
     include(COA_PATH . 'include/coa_albums.php');
   }
Index: /extensions/Comments_on_Albums/trunk/include/functions_comment.inc.php
===================================================================
--- /extensions/Comments_on_Albums/trunk/include/functions_comment.inc.php	(revision 26847)
+++ /extensions/Comments_on_Albums/trunk/include/functions_comment.inc.php	(revision 26848)
@@ -149,5 +149,5 @@
 
   // perform more spam check
-  $comment_action = trigger_change('user_comment_check',
+  $comment_action = trigger_event('user_comment_check',
       $comment_action, $comm, 'album'
     );
@@ -242,5 +242,5 @@
                       'comment_id' => $comment_id
                   ));
-    trigger_notify('user_comment_deletion', $comment_id, 'album');
+    trigger_action('user_comment_deletion', $comment_id, 'album');
 
     return true;
@@ -280,5 +280,5 @@
   // perform more spam check
   $comment_action =
-    trigger_change('user_comment_check',
+    trigger_event('user_comment_check',
       $comment_action,
       array_merge($comment,
@@ -411,4 +411,4 @@
   pwg_query($query);
 
-  trigger_notify('user_comment_validation', $comment_id, 'album');
+  trigger_action('user_comment_validation', $comment_id, 'album');
 }
Index: /extensions/Comments_on_Albums/trunk/stuffs_module/main.inc.php
===================================================================
--- /extensions/Comments_on_Albums/trunk/stuffs_module/main.inc.php	(revision 26847)
+++ /extensions/Comments_on_Albums/trunk/stuffs_module/main.inc.php	(revision 26848)
@@ -209,8 +209,8 @@
       'U_PICTURE' => $comment['cat_url'],
       'src_image' => $src_image,
-      'ALT' => trigger_change('render_category_name', $categories[$comment['comment_id']]['name']),
-      'AUTHOR' => trigger_change('render_comment_author', $comment['author']),
+      'ALT' => trigger_event('render_category_name', $categories[$comment['comment_id']]['name']),
+      'AUTHOR' => trigger_event('render_comment_author', $comment['author']),
       'DATE'=> format_date($comment['date'], true),
-      'CONTENT'=> trigger_change('render_comment_content',$comment['content'], 'album'),
+      'CONTENT'=> trigger_event('render_comment_content',$comment['content'], 'album'),
       'WIDTH' => $datas[3],
       'HEIGHT' => $datas[4],