Index: /extensions/UserCollections/admin/sets.php
===================================================================
--- /extensions/UserCollections/admin/sets.php	(revision 26853)
+++ /extensions/UserCollections/admin/sets.php	(revision 26854)
@@ -46,5 +46,5 @@
 {
   $template->append('sets', array(
-    'NAME' => trigger_change('render_category_name', $row['name']),
+    'NAME' => trigger_event('render_category_name', $row['name']),
     'NB_IMAGES' => $row['nb_images'],
     'DATE_CREATION' => format_date($row['date_creation'], true),
Index: /extensions/UserCollections/include/collections.inc.php
===================================================================
--- /extensions/UserCollections/include/collections.inc.php	(revision 26853)
+++ /extensions/UserCollections/include/collections.inc.php	(revision 26854)
@@ -267,10 +267,10 @@
     // modify page title
     $template->concat('TITLE',
-      $conf['level_separator'] . trigger_change('render_category_name', $infos['NAME'])
+      $conf['level_separator'] . trigger_event('render_category_name', $infos['NAME'])
       );
 
     // render description
     $template->assign('CONTENT_DESCRIPTION',
-      trigger_change('render_category_description', nl2br($infos['COMMENT']))
+      trigger_event('render_category_description', nl2br($infos['COMMENT']))
       );
   }
@@ -369,5 +369,5 @@
       // render description
       $template->assign('CONTENT_DESCRIPTION',
-        trigger_change('render_category_description', nl2br($col['COMMENT']))
+        trigger_event('render_category_description', nl2br($col['COMMENT']))
         );
     }
@@ -377,5 +377,5 @@
 
     $template->concat('TITLE',
-      $conf['level_separator'] . trigger_change('render_category_name', $col['NAME']) .
+      $conf['level_separator'] . trigger_event('render_category_name', $col['NAME']) .
       ' (' . l10n('by %s', get_username($collection->getParam('user_id'))) . ')'
       );
Index: /extensions/UserCollections/include/display_collections.inc.php
===================================================================
--- /extensions/UserCollections/include/display_collections.inc.php	(revision 26853)
+++ /extensions/UserCollections/include/display_collections.inc.php	(revision 26854)
@@ -99,6 +99,6 @@
       'URL' =>                USER_COLLEC_PUBLIC.'edit/'.$category['id'],
       'CAPTION_NB_IMAGES' =>  empty($counter) ? l10n('%d photo', 0) : $counter,
-      'NAME' =>               trigger_change('render_category_name', $category['name']),
-      'DESCRIPTION' =>        trigger_change('render_category_description', $category['comment'], 'subcatify_category_description'),
+      'NAME' =>               trigger_event('render_category_name', $category['name']),
+      'DESCRIPTION' =>        trigger_event('render_category_description', $category['comment'], 'subcatify_category_description'),
       'INFO_DATES' =>         format_date($category['date_creation'], true),
       'U_DELETE' =>           add_url_params(USER_COLLEC_PUBLIC, array('action'=>'delete','col_id'=>$category['id'])),
@@ -108,5 +108,5 @@
   }
 
-  $derivative_params = trigger_change('get_index_album_derivative_params', ImageStdParams::get_by_type(IMG_THUMB) );
+  $derivative_params = trigger_event('get_index_album_derivative_params', ImageStdParams::get_by_type(IMG_THUMB) );
   $template->assign(array(
     'maxRequests' => $conf['max_requests'],
Index: /extensions/UserCollections/include/events.inc.php
===================================================================
--- /extensions/UserCollections/include/events.inc.php	(revision 26853)
+++ /extensions/UserCollections/include/events.inc.php	(revision 26854)
@@ -115,5 +115,5 @@
   foreach ($collections as &$col)
   {
-    $col["name"] = trigger_change('render_category_name', $col["name"]);
+    $col["name"] = trigger_event('render_category_name', $col["name"]);
   }
   unset($col);
@@ -185,5 +185,5 @@
   foreach ($collections as &$col)
   {
-    $col["name"] = trigger_change('render_category_name', $col["name"]);
+    $col['name'] = trigger_event('render_category_name', $col["name"]);
   }
   unset($col);
@@ -240,5 +240,5 @@
     for ($i=0; $i<$max && $i<count($collections); $i++)
     {
-      $collections[$i]['name'] = trigger_change('render_category_name', $collections[$i]['name']);
+      $collections[$i]['name'] = trigger_event('render_category_name', $collections[$i]['name']);
       $collections[$i]['u_edit'] = USER_COLLEC_PUBLIC.'edit/'.$collections[$i]['id'];
       $data['collections'][] = $collections[$i];
Index: /extensions/UserCollections/include/functions.inc.php
===================================================================
--- /extensions/UserCollections/include/functions.inc.php	(revision 26853)
+++ /extensions/UserCollections/include/functions.inc.php	(revision 26854)
@@ -16,5 +16,5 @@
   global $conf;
 
-  return trigger_change('get_category_preferred_image_orders', array(
+  return trigger_event('get_category_preferred_image_orders', array(
     array(l10n('Date added to collection, new &rarr; old'), 'add_date DESC', true),
     array(l10n('Date added to collection, old &rarr; new'), 'add_date ASC',  true),