Index: /extensions/Slide/template/header.tpl
===================================================================
--- /extensions/Slide/template/header.tpl	(revision 26857)
+++ /extensions/Slide/template/header.tpl	(revision 26858)
@@ -49,5 +49,5 @@
 <script type="text/javascript" src="{$ROOT_URL}themes/default/js/pngfix.js"></script>
 <![endif]-->
-
+{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
 {combine_script id="jquery" load="footer"}
 
@@ -59,16 +59,7 @@
 </head>
 
-<body id="{$BODY_ID}" >
+<body id="{$BODY_ID}" {if not empty($pluginActive)}class="{foreach from=$pluginActive item=foo}{$foo} {/foreach}"{/if}>
 
-<div class="intabs">
-<div class="tabs">
-
-<div id="sld_tab" onclick="return close()">{$TITLE}</div>
-
-</div>
-</div>
-
-<div id="the_page" class="scrollpane">
-
+<div id="the_page" class="scrollpane {$BODY_ID} {if isset ($GThumb)}GThumb {/if}{if isset ($EASYCAPTCHA)}{if $EASYCAPTCHA.challenge == 'drag'}EC_drag {/if}{if $EASYCAPTCHA.challenge == 'tictac'}EC_tictac {/if}{/if}" {if isset ($lightbox_data)}data-lightbox={$lightbox_data}{/if}  {if isset ($GThumb)}data-slidegthumb={$slideGThumb} {if isset ($GThumb_big)}{assign var=gt_size value=$GThumb_big->get_size()}data-gth={$gt_size[1]} data-gtw={$gt_size[0]} data-gturl={$GThumb_big->get_url()} data-gtid={$GThumb_big->src_image->id}{/if}{/if}{if isset ($slideEasyCaptcha)}data-slideec={$slideEasyCaptcha}{/if} >
 {if not empty($header_msgs)}
 <div class="header_msgs">
Index: /extensions/Slide/template/menubar.tpl
===================================================================
--- /extensions/Slide/template/menubar.tpl	(revision 26857)
+++ /extensions/Slide/template/menubar.tpl	(revision 26858)
@@ -22,7 +22,7 @@
 
 				<div id="search">
-					<form id="quicksearch" onsubmit="return f()"; return false;>
+					<form id="quicksearch">
 						<p style="margin:0;padding:0"{*this <p> is for html validation only - does not affect positioning*}>
-							<input type="text" name="q" id="qsearchInput" onfocus="if (value==qsearch_prompt) value='';" onblur="if (value=='') value=qsearch_prompt;" />
+							<input type="text" name="q" id="qsearchInput" />
 							<input type="submit" value=" " id="submitSearch" />	
 						</p>
@@ -33,15 +33,2 @@
 		</div>
 
-{footer_script}{literal}
-
-
-function f()
-{
-	var obj = document.getElementById("qsearchInput");
-	var x='qsearch.php?q='+obj.value;
-	$.pageslide({ direction: 'left', href:x ,speed:2000});
-	document.getElementById('qsearchInput').value=qsearch_prompt;
-	return false;
-}
-
-{/literal}{/footer_script}
Index: /extensions/Slide/template/menubar_categories.tpl
===================================================================
--- /extensions/Slide/template/menubar_categories.tpl	(revision 26857)
+++ /extensions/Slide/template/menubar_categories.tpl	(revision 26858)
@@ -1,50 +1,44 @@
-	<span class="dd_wrapper">{'Categories'|@translate}</span>
+<span class="dd_wrapper">{'Albums'|@translate}</span>
 	
-		<div class="sub" style="width:700px">
-		{assign var='ref_level' value=0}
-			<div id="menu_cat_act">
-				<div id="nbImg">
-			<p class="totalImages">{$pwg->l10n_dec('%d image', '%d images', $block->data.NB_PICTURE)}</p>
-				</div>
-				<div id="filter">
-					{if isset($U_START_FILTER)}
-						<a href="{$U_START_FILTER}" class="pwg-state-default pwg-button menubarFilter " title="{'display only recently posted photos'|@translate}" rel="nofollow">
-						<span class="pwg-icon pwg-icon-filter"> </span>
-						</a>
-					{/if}
-					{if isset($U_STOP_FILTER)}
-					<a href="{$U_STOP_FILTER}" class="pwg-state-default pwg-button menubarFilter" title="{'return to the display of all photos'|@translate}"><span
-					class="pwg-icon pwg-icon-filter-del"> </span></a>
-					{/if}
-				</div>
-
-			</div>
+<div class="sub" style="width:700px">
+	<div id="menu_cat_act">
+		<div id="nbImg">
+			<p class="totalImages">{$block->data.NB_PICTURE|@translate_dec:'%d photo':'%d photos'}</p>
+		</div>
+		<div id="filter">
+			{if isset($U_START_FILTER)}
+			<a href="{$U_START_FILTER}" class="pwg-state-default pwg-button menubarFilter" title="{'display only recently posted photos'|@translate}" rel="nofollow">
+				<span class="pwg-icon pwg-icon-filter"> </span>
+			</a>
+			{/if}
+			
+			{if isset($U_STOP_FILTER)}
+				<a href="{$U_STOP_FILTER}" class="pwg-state-default pwg-button menubarFilter" title="{'return to the display of all photos'|@translate}">
+				<span class="pwg-icon pwg-icon-filter-del"> </span>
+				</a>
+			{/if}
+		</div>
+	</div>
+	<div class="mcol">
+	{assign var='ref_level' value=0}	
+	{foreach from=$block->data.MENU_CATEGORIES item=cat}
+		{if $cat.LEVEL > $ref_level}
+			<ul>
+		{else}
+			</li>
+			{'</ul></li>'|@str_repeat:($ref_level-$cat.LEVEL)}
+		{/if}
+			<li {if $cat.SELECTED}class="selected dontsplit"{/if}class="level{$cat.LEVEL} dontsplit">
+				<a href="{$cat.URL}" {if $cat.IS_UPPERCAT}rel="up"{/if} title="{$cat.TITLE}" >{$cat.NAME}</a>
+				{if $cat.count_images > 0}
+					<span class="{if $cat.nb_images > 0}menuInfoCat{else}menuInfoCatByChild{/if}" title="{$cat.TITLE}">[{$cat.count_images}]</span>
+				{/if}
 				
-				
-				{foreach from=$block->data.MENU_CATEGORIES item=cat}
-				{if $cat.LEVEL > $ref_level}
-				<ul class="mcol">
-				{else}
-
-						</li>
-							{'</ul></li>'|@str_repeat:$ref_level-$cat.LEVEL}
-						  {/if}
-						   <li {if $cat.SELECTED}class="selected"{/if}class="level{$cat.LEVEL}">
-						   <a href="{$cat.URL}" {if $cat.IS_UPPERCAT}rel="up"{/if} title="{$cat.TITLE}" >{$cat.NAME}   [{$cat.count_images}] </a>
-						  {assign var='ref_level' value=$cat.LEVEL}
-						{/foreach}
-					{'</li></ul>'|@str_repeat:$ref_level}	
-
-						{if isset($block->data.U_UPLOAD)}
-						
-					<ul>
-						
-							<li>
-								<a href="{$block->data.U_UPLOAD}">{'Upload a picture'|@translate}</a>
-							</li>
-
-					</ul>
-						
-					{/if}
-		</div>
-
+				{if !empty($cat.icon_ts)}
+					<img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" class="icon" alt="(!)">
+				{/if}
+		{assign var='ref_level' value=$cat.LEVEL}
+	{/foreach}
+	{'</li></ul>'|@str_repeat:$ref_level}	
+	</div>
+</div>
Index: /extensions/Slide/template/thumbnails.tpl
===================================================================
--- /extensions/Slide/template/thumbnails.tpl	(revision 26857)
+++ /extensions/Slide/template/thumbnails.tpl	(revision 26858)
@@ -4,44 +4,41 @@
 
 {*define_derivative name='derivative_params' type='small'*}
-
-{foreach from=$thumbnails item=thumbnail}
-{assign var=derivative value=$pwg->derivative($derivative_params, $thumbnail.src_image)}
-	<li>
-	<span class="wrap1">
-		<span class="wrap2">
-		<div class="thumbnailCategory">
-			<div class="illustration">
-				<a href="{$thumbnail.URL}">
-				<img class="thumbnail" {if !$derivative->is_cached()}data-{/if}src="{$derivative->get_url()}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}">
-				{if $SHOW_THUMBNAIL_CAPTION }
-					<div class=description>
-						<span class="thumbLegend">
-							<span class="thumbName">{$thumbnail.NAME}</span>
-							{if !empty($thumbnail.icon_ts)}
-								<img title="{$thumbnail.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent.png" alt="(!)">
-							{/if}
-							{if isset($thumbnail.NB_COMMENTS)}
-							<span class="{if 0==$thumbnail.NB_COMMENTS}zero {/if}nb-comments">
-							<br>
-							{$pwg->l10n_dec('%d comment', '%d comments',$thumbnail.NB_COMMENTS)}
+	{foreach from=$thumbnails item=thumbnail}
+	{assign var=derivative value=$pwg->derivative($derivative_params, $thumbnail.src_image)}
+		<li>
+		<span class="wrap1">
+			<span class="wrap2">
+			<div class="thumbnailCategory">
+				<div class="illustration">
+					<a href="{$thumbnail.URL}">
+					<img class="thumbnail" {if !$derivative->is_cached()}data-{/if}src="{$derivative->get_url()}" alt="{$thumbnail.TN_ALT}" title="{$thumbnail.TN_TITLE}">
+					{if $SHOW_THUMBNAIL_CAPTION }
+						<div class=description>
+							<span class="thumbLegend">
+								<span class="thumbName">{$thumbnail.NAME}</span>
+								{if !empty($thumbnail.icon_ts)}
+									<img title="{$thumbnail.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent.png" alt="(!)">
+								{/if}
+								{if isset($thumbnail.NB_COMMENTS)}
+								<span class="{if 0==$thumbnail.NB_COMMENTS}zero {/if}nb-comments">
+								<br>
+								{$pwg->l10n_dec('%d comment', '%d comments',$thumbnail.NB_COMMENTS)}
+								</span>
+								{/if}
+								{if isset($thumbnail.NB_HITS)}
+								<span class="{if 0==$thumbnail.NB_HITS}zero {/if}nb-hits">
+								<br>
+								{$pwg->l10n_dec('%d hit', '%d hits',$thumbnail.NB_HITS)}
+								</span>
+								{/if}
 							</span>
-							{/if}
-							{if isset($thumbnail.NB_HITS)}
-							<span class="{if 0==$thumbnail.NB_HITS}zero {/if}nb-hits">
-							<br>
-							{$pwg->l10n_dec('%d hit', '%d hits',$thumbnail.NB_HITS)}
-							</span>
-							{/if}
-						</span>
-					</div>
-				{/if}	
-				</a>
-			</div>
-			</div>
+						</div>
+					{/if}	
+					</a>
+				</div>
+				</div>
+			</span>
 		</span>
-	</span>
-	</li>
-
-{/foreach}
-
+		</li>
+	{/foreach}
 {/strip}